import { Facebook } from './facebook';
import { Google } from './google';
import { FacebookParameters } from './facebook.common';
import { GoogleParameters } from './google.common';
export interface Parameters {
    facebook?: FacebookParameters;
    google?: GoogleParameters;
}
declare class Authentication {
    facebook: Facebook;
    google: Google;
    private driverInUse;
    static drivers: string[];
    constructor(params: Parameters);
    static readonly instance: any;
    login(driver: string): any;
    logout(): any;
    user(): any;
    readonly token: any;
    driver: string;
}
export declare const waitForAppLaunch: (callback: any) => any;
export * from './ui/facebook-login-button';
export * from './ui/google-login-button';
export declare const GoogleInstance: () => any;
export declare const FacebookInstance: () => any;
export default Authentication;
