export declare class Driver {
    private _loginCallback;
    private _logoutCallback;
    private _errorCallback;
    private _loginUICallback;
    private _logoutUICallback;
    private _errorUICallback;
    manager: any;
    id: string;
    driverName: string | null;
    login(): Promise<{}>;
    logout(): Promise<{}>;
    initializeUser(): void;
    getCurrentToken(): any;
    getCurrentUser(): Promise<{}>;
    loginCallback: Function;
    logoutCallback: Function;
    errorCallback: Function;
    loginUICallback: Function;
    logoutUICallback: Function;
    errorUICallback: Function;
}
